Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2825083003: Landing Recent QUIC changes until Mon Apr 17 2017 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by Ryan Hamilton
Modified:
2 months, 1 week ago
Reviewers:
Zhongyi Shi
CC:
chromium-reviews, cbentzel+watch_chromium.org, bnc+watch_chromium.org, dcheng (OOO Jun 25 - Jul 1), net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Landing Recent QUIC changes until Mon Apr 17 2017 Flip QUIC flags, and remove deprecated flags that were missed. https://codereview.chromium.org/2821263003/ Move quic_flags.h from net/quic/core to net/quic/platform and split into api and impl. Merge internal change: 153366836 https://codereview.chromium.org/2820423002/ Deprecate FLAGS_quic_reloadable_flag_fix_quic_callback_crash Merge internal change: 153341928 https://codereview.chromium.org/2825833002/ deprecate -FLAGS_quic_reloadable_flag_quic_enable_version_37 Merge internal change: 153233259 https://codereview.chromium.org/2827503003/ In QUIC version >= 38, enables random padding of size [1, 256] Protected by FLAGS_quic_reloadable_flag_quic_enable_random_padding. Merge internal change: 153198827 https://codereview.chromium.org/2820263005/ Tweak BBR tests with the keep sending flag enabled to consistently pass unit tests. n/a (Fix flaky test) Merge internal change: 153196381 https://codereview.chromium.org/2820413002/ Rename QuicSession::GetCryptoStream() to GetMutableCryptoStream(). Add a const GetCryptoStream(). Make QuicSession::IsEncryptionEstablished and IsCryptoHandshakeConfirmed constant. Not protected. Merge internal change: 153185176 https://codereview.chromium.org/2823223003/ Change a QUIC_DLOG to a QUIC_DVLOG. This line was printing a tremendous amount in test logs and causing erroneous test failures due to output size. Merge internal change: 153109322 https://codereview.chromium.org/2823303002/ deprecate -FLAGS_quic_reloadable_flag_quic_enable_version_36_v3 Merge internal change: 153101554 https://codereview.chromium.org/2822023005/ deprecate -FLAGS_quic_reloadable_flag_quic_disable_version_34 and remove support for QUIC v34. Merge internal change: 153091520 https://codereview.chromium.org/2823293002/ Let QUIC be able to add random padding of [1,256] bytes after fin is consumed for a stream. Random paddings have the lowest priority to send. Not used in prod yet. Merge internal change: 153055858 https://codereview.chromium.org/2828543002/ Uniquify QuicCryptoServerConfig::SetEphemeralKeySource Modify QuicCryptoServerConfig::SetEphemeralKeySource to take its argument by unique_ptr, which makes it obvious how ownership of the argument is transferred. Bare pointer -> unique_ptr in QUIC startup code. No functional change, not flag-protected. Merge internal change: 152970365 https://codereview.chromium.org/2825493004/ Deprecate FLAGS_quic_reloadable_flag_quic_bbr_ack_spacing2 in the disabled position because it never worked that well. Merge internal change: 152853633 https://codereview.chromium.org/2828523003/ deprecate FLAGS_quic_reloadable_flag_quic_large_ifw_options Merge internal change: 152840111 https://codereview.chromium.org/2825523003/ Add flag counter for FLAGS_quic_reloadable_flag_quic_bbr_bandwidth_resumption Merge internal change: 152840108 https://codereview.chromium.org/2823283002/ Improve QUIC flow-control commentary and variable-names. While debugging, I found the current commentary and variable names to be a bit confusing. Made some tiny cosmetic improvements. Merge internal change: 152816981 https://codereview.chromium.org/2824773005/ Base QUIC BBR's CWND on SRTT instead of min_rtt. Protected by FLAGS_quic_reloadable_flag_quic_base_cwnd_on_srtt. Also fixes test flakiness with FLAGS_quic_reloadable_flag_quic_bbr_keep_sending_at_recent_rate by limiting the CWND in low gain mode and pacing based on max_bw in high gain mode. Merge internal change: 152772923 https://codereview.chromium.org/2823083004/ Continue sending at the max bandwidth measured in the last two rounds for another SRTT. Protected by FLAGS_quic_reloadable_flags_quic_bbr_keep_sending_at_recent_rate. Merge internal change: 152764149 https://codereview.chromium.org/2825093002/ Deprecate FLAGS_quic_reloadable_flag_quic_no_socket_receive_buffer. Merge internal change: 152732968 https://codereview.chromium.org/2825773002/ Review-Url: https://codereview.chromium.org/2825083003 Cr-Commit-Position: refs/heads/master@{#465461} Committed: https://chromium.googlesource.com/chromium/src/+/fc6809b6348e520d3ce533d5765324adb8de3918

Patch Set 1 #

Patch Set 2 : Add missing files #

Patch Set 3 : QuaRTC #

Patch Set 4 : Format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1181 lines, -958 lines) Patch
M net/BUILD.gn View 1 2 3 3 chunks +3 lines, -2 lines 0 comments Download
M net/quic/chromium/quic_chromium_client_session.h View 1 chunk +2 lines, -1 line 0 comments Download
M net/quic/chromium/quic_chromium_client_session.cc View 1 chunk +6 lines, -1 line 0 comments Download
M net/quic/chromium/quic_chromium_client_session_test.cc View 1 2 3 2 chunks +3 lines, -2 lines 0 comments Download
M net/quic/chromium/quic_chromium_client_stream_test.cc View 3 chunks +9 lines, -3 lines 0 comments Download
M net/quic/chromium/quic_http_stream.cc View 1 chunk +0 lines, -2 lines 0 comments Download
M net/quic/chromium/quic_network_transaction_unittest.cc View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M net/quic/chromium/quic_stream_factory.cc View 1 2 3 2 chunks +1 line, -2 lines 0 comments Download
M net/quic/core/congestion_control/bbr_sender.h View 2 chunks +0 lines, -12 lines 0 comments Download
M net/quic/core/congestion_control/bbr_sender.cc View 10 chunks +30 lines, -53 lines 0 comments Download
M net/quic/core/congestion_control/bbr_sender_test.cc View 6 chunks +48 lines, -11 lines 0 comments Download
M net/quic/core/congestion_control/cubic.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/cubic_bytes.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/cubic_bytes_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/cubic_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/general_loss_algorithm.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/general_loss_algorithm_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/send_algorithm_interface.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/tcp_cubic_sender_bytes.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/congestion_control/tcp_cubic_sender_packets.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/crypto/crypto_server_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/crypto/quic_crypto_server_config.h View 1 chunk +3 lines, -3 lines 0 comments Download
M net/quic/core/crypto/quic_crypto_server_config.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M net/quic/core/quic_buffered_packet_store.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_buffered_packet_store_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_client_session_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_config.h View 2 chunks +0 lines, -10 lines 0 comments Download
M net/quic/core/quic_config.cc View 5 chunks +2 lines, -31 lines 0 comments Download
M net/quic/core/quic_config_test.cc View 6 chunks +0 lines, -23 lines 0 comments Download
M net/quic/core/quic_connection.h View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_connection.cc View 4 chunks +8 lines, -7 lines 0 comments Download
M net/quic/core/quic_connection_test.cc View 102 chunks +165 lines, -160 lines 0 comments Download
M net/quic/core/quic_constants.h View 1 chunk +3 lines, -0 lines 0 comments Download
M net/quic/core/quic_crypto_client_stream.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_crypto_client_stream_test.cc View 4 chunks +11 lines, -9 lines 0 comments Download
M net/quic/core/quic_crypto_server_stream.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M net/quic/core/quic_crypto_server_stream_test.cc View 3 chunks +3 lines, -4 lines 0 comments Download
M net/quic/core/quic_crypto_stream.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_data_reader.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_data_writer.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_data_writer_test.cc View 1 chunk +1 line, -1 line 0 comments Download
D net/quic/core/quic_flags.h View 1 chunk +0 lines, -60 lines 0 comments Download
D net/quic/core/quic_flags.cc View 1 chunk +0 lines, -9 lines 0 comments Download
M net/quic/core/quic_flags_list.h View 7 chunks +14 lines, -25 lines 0 comments Download
M net/quic/core/quic_flow_controller.h View 1 chunk +4 lines, -2 lines 0 comments Download
M net/quic/core/quic_flow_controller.cc View 2 chunks +6 lines, -3 lines 0 comments Download
M net/quic/core/quic_framer.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_framer_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_header_list.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_header_list_test.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_headers_stream.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_headers_stream_test.cc View 7 chunks +10 lines, -11 lines 0 comments Download
M net/quic/core/quic_packet_creator.h View 4 chunks +18 lines, -3 lines 0 comments Download
M net/quic/core/quic_packet_creator.cc View 10 chunks +38 lines, -10 lines 0 comments Download
M net/quic/core/quic_packet_creator_test.cc View 4 chunks +179 lines, -3 lines 0 comments Download
M net/quic/core/quic_packet_generator.h View 4 chunks +14 lines, -1 line 0 comments Download
M net/quic/core/quic_packet_generator.cc View 7 chunks +25 lines, -4 lines 0 comments Download
M net/quic/core/quic_packet_generator_test.cc View 28 chunks +174 lines, -30 lines 0 comments Download
M net/quic/core/quic_packets.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_sent_packet_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_sent_packet_manager_test.cc View 1 chunk +2 lines, -1 line 0 comments Download
M net/quic/core/quic_server_session_base.h View 1 chunk +3 lines, -1 line 0 comments Download
M net/quic/core/quic_server_session_base.cc View 2 chunks +7 lines, -2 lines 0 comments Download
M net/quic/core/quic_server_session_base_test.cc View 5 chunks +3 lines, -14 lines 0 comments Download
M net/quic/core/quic_session.h View 3 chunks +7 lines, -4 lines 0 comments Download
M net/quic/core/quic_session.cc View 6 chunks +22 lines, -32 lines 0 comments Download
M net/quic/core/quic_session_test.cc View 16 chunks +24 lines, -19 lines 0 comments Download
M net/quic/core/quic_spdy_session.cc View 2 chunks +3 lines, -5 lines 0 comments Download
M net/quic/core/quic_spdy_stream.h View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_stream.h View 2 chunks +7 lines, -0 lines 0 comments Download
M net/quic/core/quic_stream.cc View 3 chunks +11 lines, -2 lines 0 comments Download
M net/quic/core/quic_stream_sequencer_buffer.cc View 1 chunk +2 lines, -1 line 0 comments Download
M net/quic/core/quic_stream_test.cc View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M net/quic/core/quic_types.h View 1 chunk +10 lines, -0 lines 0 comments Download
M net/quic/core/quic_utils.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_version_manager.h View 1 chunk +0 lines, -6 lines 0 comments Download
M net/quic/core/quic_version_manager.cc View 2 chunks +5 lines, -16 lines 0 comments Download
M net/quic/core/quic_version_manager_test.cc View 2 chunks +4 lines, -27 lines 0 comments Download
M net/quic/core/quic_versions.h View 2 chunks +2 lines, -4 lines 0 comments Download
M net/quic/core/quic_versions.cc View 4 chunks +4 lines, -24 lines 0 comments Download
M net/quic/core/quic_versions_test.cc View 5 chunks +38 lines, -50 lines 0 comments Download
A net/quic/platform/api/quic_flags.h View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A net/quic/platform/impl/quic_flags_impl.h View 1 1 chunk +60 lines, -0 lines 0 comments Download
A + net/quic/platform/impl/quic_flags_impl.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M net/quic/quartc/quartc_session.h View 1 chunk +2 lines, -1 line 0 comments Download
M net/quic/quartc/quartc_session.cc View 1 chunk +5 lines, -1 line 0 comments Download
M net/quic/quartc/quartc_stream_test.cc View 1 2 3 chunks +4 lines, -3 lines 0 comments Download
M net/quic/test_tools/crypto_test_utils.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M net/quic/test_tools/quic_connection_peer.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/test_tools/quic_session_peer.h View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/test_tools/quic_session_peer.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M net/quic/test_tools/quic_stream_sequencer_buffer_peer.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/test_tools/quic_test_utils.h View 9 chunks +23 lines, -9 lines 0 comments Download
M net/quic/test_tools/quic_test_utils.cc View 1 2 3 6 chunks +18 lines, -7 lines 0 comments Download
M net/quic/test_tools/simple_quic_framer.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/quic/test_tools/simple_quic_framer.cc View 3 chunks +8 lines, -1 line 0 comments Download
M net/quic/test_tools/simulator/quic_endpoint.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/spdy/spdy_framer.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/spdy/spdy_framer_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/end_to_end_test.cc View 11 chunks +10 lines, -72 lines 0 comments Download
M net/tools/quic/platform/impl/quic_socket_utils.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_client_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_client_bin.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_client_session.h View 1 chunk +2 lines, -1 line 0 comments Download
M net/tools/quic/quic_client_session.cc View 1 chunk +5 lines, -1 line 0 comments Download
M net/tools/quic/quic_client_session_test.cc View 1 2 3 6 chunks +9 lines, -23 lines 0 comments Download
M net/tools/quic/quic_dispatcher.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_dispatcher_test.cc View 7 chunks +11 lines, -62 lines 0 comments Download
M net/tools/quic/quic_packet_reader.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_server.cc View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M net/tools/quic/quic_server_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/quic_simple_client.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_simple_server_session.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_simple_server_session_test.cc View 7 chunks +7 lines, -6 lines 0 comments Download
M net/tools/quic/quic_simple_server_stream.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_simple_server_stream_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_time_wait_list_manager.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/quic_time_wait_list_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/quic_time_wait_list_manager_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/stateless_rejector.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/stateless_rejector_test.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/quic/test_tools/packet_dropping_test_writer.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M net/tools/quic/test_tools/quic_test_client.cc View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 15 (11 generated)
Ryan Hamilton
2 months, 1 week ago (2017-04-18 19:02:04 UTC) #5
Zhongyi Shi
lgtm
2 months, 1 week ago (2017-04-18 22:52:58 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825083003/60001
2 months, 1 week ago (2017-04-19 01:29:29 UTC) #12
commit-bot: I haz the power
2 months, 1 week ago (2017-04-19 01:37:17 UTC) #15
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/fc6809b6348e520d3ce533d57653...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318